## oem-bluetooth-mt76xx-1386997-dkms 1.0wataugafour4

=== oem-bluetooth-mt76xx-1386997-1.0wataugafour4/Makefile ===
obj-m := mt76xx.o
#KVERSION:= $(shell uname -r)

all:
	$(MAKE) -C /lib/modules/$(KVER)/build M=$(shell pwd) modules
clean:
	$(MAKE) -C /lib/modules/$(KVER)/build M=$(shell pwd) clean

=== oem-bluetooth-mt76xx-1386997-1.0wataugafour4/oem-bluetooth-mt76xx-1386997-dkms-mkdeb/debian/changelog ===
oem-bluetooth-mt76xx-1386997-dkms (1.0wataugafour4) precise; urgency=medium

  * add load kernel module script to postinst. 

 -- Shengyao Xue <shengyao.xue@canonical.com>  Tue, 16 Dec 2014 03:05:46 +0800

oem-bluetooth-mt76xx-1386997-dkms (1.0wataugafour3) precise; urgency=medium

  * add KVERSION to Makefile 

 -- Shengyao Xue <shengyao.xue@canonical.com>  Sat, 13 Dec 2014 15:34:53 +0800

oem-bluetooth-mt76xx-1386997-dkms (1.0wataugafour2) precise; urgency=medium

  * change to precise from trusty.

 -- Shengyao Xue <shengyao.xue@canonical.com>  Sat, 13 Dec 2014 12:50:37 +0800

oem-bluetooth-mt76xx-1386997-dkms (1.0wataugafour1) trusty; urgency=medium

  * Initial release. (LP: #1386997)

 -- Shengyao Xue <shengyao.xue@canonical.com>  Sat, 13 Dec 2014 12:50:37 +0800

=== debian/control ===
Source: oem-bluetooth-mt76xx-1386997-dkms
Section: misc
Priority: optional
Maintainer: Canonical Commercial Engineering <commercial-engineering@canonical.com>
Build-Depends: debhelper (>= 7.0.50~), dh-modaliases, dkms
Standards-Version: 3.9.3

Package: oem-bluetooth-mt76xx-1386997-dkms
Architecture: all
Depends: dkms (>= 1.95), ${misc:Depends}
XB-Modaliases: ${modaliases}
Description: oem-bluetooth-mt76xx-1386997 driver in DKMS format.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_NAME=oem-bluetooth-mt76xx-1386997
NAME=oem-bluetooth-mt76xx-1386997
VERSION=1.0wataugafour4

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	-$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	dh_installchangelogs
	$(MAKE) DESTDIR=$(CURDIR)/debian/$(DEB_NAME)-dkms NAME=$(NAME) VERSION=$(VERSION) install

binary-arch: build install

binary-indep: build install
	dh_modaliases
	dh_install
	dh_testdir
	dh_testroot
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
